#ifndef ___GUI_H
#define ___GUI_H

//ROOT Includes
#include "TFile.h"
#include <TGClient.h>
#include <TCanvas.h>
#include <TF1.h>
#include "TH1F.h"
#include "TPaveText.h"
#include <TRandom.h>
#include <TGButton.h>
#include <TGFrame.h>
#include <TGNumberEntry.h>
#include <TRootEmbeddedCanvas.h>
#include <TApplication.h>
#include <TGClient.h>
#include <RQ_OBJECT.h>
#include "unpacker.h"
//#include "exLinkDef.h"

using namespace std;

class MainFrame : public TGMainFrame {
private:
   TRootEmbeddedCanvas *emb_canvas;
   TGVerticalFrame *fr_left;
   TGGroupFrame *fr_runs, *fr_draw;
   TGNumberEntry *box_run;
public:
   MainFrame(const TGWindow *p, UInt_t width, UInt_t height);
   Bool_t HandleConfigureNotify(Event_t *);
   virtual ~MainFrame();
   void draw_test();

ClassDef (MainFrame,0);// Remove for ROOT6 and rootcling
};

void start_gui();

//int test_unpack();

#endif
